function ShapeBase::getHealth(%obj)
{
	if(!isObject(%obj))
		return -1;

	if(%obj.maxHealth > 0)
		return %obj.health;

	return %obj.getDatablock().maxDamage - %obj.getDamageLevel();
}

function ShapeBase::getMaxHealth(%obj)
{
	if(!isObject(%obj))
		return -1;

	if(%obj.maxHealth > 0)
		return %obj.maxHealth;

	return %obj.getDatablock().maxDamage;
}

function ShapeBase::getHealthLevel(%obj)
{
	%level = %obj.getDatablock().maxDamage - (%obj.getDatablock().maxDamage / %obj.getMaxHealth() * %obj.getHealth());
	%level = mClampF(%level, 0, %obj.getDatablock().maxDamage);

	return %level;
}